Manage orders - Validate reseller partner IDs
Validates a list of partner IDs.
POST https://api.partnercenter.microsoft.com/v{version}/partners/validateresellers
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
version
|
path | True |
string |
The API version number. |
Request Header
Media Types: "application/json-patch+json", "application/json", "text/json", "application/*+json"
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
Authorization Bearer Token |
| MS-CorrelationId |
string |
Used for tracking requests internally. If a MS-CorrelationId is not provided, the server will generate a new one for each request |
|
| MS-CV |
string |
Used for tracking requests internally. If a MS-CV is not provided, the server will generate a new one for each request |
|
| MS-RequestId |
string |
Used for idempotency of requests. If a MS-RequestId is not provided, the server will generate a new one for each request |
Request Body
Media Types: "application/json-patch+json", "application/json", "text/json", "application/*+json"
| Name | Type | Description |
|---|---|---|
| partnerIds |
string[] |
The collection of partner ids associated with this partner id validation request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request was successful. The response contains validation results for each partner ID. Media Types: "text/plain", "application/json", "text/json" |
|
| 400 Bad Request |
There was a missing or an invalid input. The response body will provide the error details. Media Types: "text/plain", "application/json", "text/json" |
|
| 401 Unauthorized |
The request was not authenticated. The client needs to authenticate with the partner API service first. Media Types: "text/plain", "application/json", "text/json" |
|
| 403 Forbidden |
The request was authenticated but was refused since the caller does not have the rights to invoke it. Media Types: "text/plain", "application/json", "text/json" |
|
| 404 Not Found |
The resource is not found or not available with the given input parameters. Media Types: "text/plain", "application/json", "text/json" |
|
| 500 Internal Server Error |
The partner API service or one of its dependencies failed to fulfill the request. Callers may retry this. Media Types: "text/plain", "application/json", "text/json" |
Definitions
| Name | Description |
|---|---|
|
Partner |
Represents a partner id validation request resource. |
|
Partner |
Represents a partner id validation response resource. |
|
Partner |
Represents a partner id validation result resource. |
PartnerIdValidationRequest
Represents a partner id validation request resource.
| Name | Type | Description |
|---|---|---|
| partnerIds |
string[] |
The collection of partner ids associated with this partner id validation request. |
PartnerIdValidationResponse
Represents a partner id validation response resource.
| Name | Type | Description |
|---|---|---|
| validationResults |
The collection of validation results associated with this partner id validation response. |
PartnerIdValidationResult
Represents a partner id validation result resource.
| Name | Type | Description |
|---|---|---|
| errorCode |
integer (int32) |
The service-specific error code. |
| errorDescription |
string |
Additional details about the error. |
| isValidPartnerIdOnRecord |
boolean |
Whether is valid partner id on record. |
| partnerId |
string |
The unique identifier of the partner. Value is typically a GUID. |